Bug 1397341 (CVE-2016-7429) - CVE-2016-7429 ntp: Attack on interface selection
Summary: CVE-2016-7429 ntp: Attack on interface selection
Status: CLOSED ERRATA
Alias: CVE-2016-7429
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
low
low
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard: impact=low,public=20161121,reported=2...
Keywords: Security
Depends On: 1397351 1411642 1411643 1411644 1411645
Blocks: 1397349
TreeView+ depends on / blocked
 
Reported: 2016-11-22 10:50 UTC by Adam Mariš
Modified: 2019-06-08 21:35 UTC (History)
7 users (show)

(edit)
A flaw was found in the way ntpd running on a host with multiple network interfaces handled certain server responses. A remote attacker could use this flaw which would cause ntpd to not synchronize with the source.
Clone Of:
(edit)
Last Closed: 2017-02-06 06:50:25 UTC


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2017:0252 normal SHIPPED_LIVE Moderate: ntp security update 2017-02-06 11:16:56 UTC
Red Hat Bugzilla 1422944 None CLOSED [LLNL 7.4 Bug] ntp no longer works correctly with multicastclient 2019-04-02 08:17 UTC
Red Hat Bugzilla 1422973 None CLOSED [LLNL 6.9 Bug] ntp no longer works correctly with multicastclient 2019-04-02 08:17 UTC

Internal Trackers: 1422944 1422973

Description Adam Mariš 2016-11-22 10:50:29 UTC
When ntpd receives a server response on a socket that corresponds to a different interface than was used for the request, the peer structure is updated to use the interface for new requests. If ntpd is running on a host with multiple interfaces in separate networks and the operating system doesn't check source address in received packets (e.g. rp_filter on Linux is set to 0), an attacker that knows the address of the source can send a packet with spoofed source address which will cause ntpd to select wrong interface for the source and prevent it from sending new requests until the list of interfaces is refreshed, which happens on routing changes or every 5 minutes by default. If the attack is repeated often enough (once per second), ntpd will not be able to synchronize with the source.

External References:

http://support.ntp.org/bin/view/Main/NtpBug3072

Comment 1 Adam Mariš 2016-11-22 11:09:29 UTC
Created ntp tracking bugs for this issue:

Affects: fedora-all [bug 1397351]

Comment 2 Huzaifa S. Sidhpurwala 2016-12-14 08:14:30 UTC
Mitigation:

If you are going to configure your OS to disable source address checks, also configure your firewall configuration to control what interfaces can receive packets from what networks.

Comment 4 Keyur Pujara 2017-01-16 11:30:01 UTC
Is an RPM released with fix for this. I haven't seen one @ http://mirror.centos.org. 

If not released, what is ETA for same?

Thanks, Keyur

Comment 5 errata-xmlrpc 2017-02-06 06:17:34 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 6
  Red Hat Enterprise Linux 7

Via RHSA-2017:0252 https://rhn.redhat.com/errata/RHSA-2017-0252.html


Note You need to log in before you can comment on or make changes to this bug.